' script to reprogram the ASM-1 with new web pages
' file names are hard-coded into this
' user supplies the IP address or network name on the command line
Dim oExec

If (Wscript.Arguments.count = 1) Then
  ipaddr = Wscript.Arguments.Item(0)
  Wscript.Echo "Using host " & ipaddr
Else
  Wscript.Echo "Give IP address or name as command line argument"
  Wscript.Echo "For instance: cscript smfirm.vbs 192.168.52.9"
  Wscript.Quit
End If

' use ping to make sure the unit is online

Set WshShell = Wscript.CreateObject("Wscript.Shell")
Wscript.Echo("Pinging host")
return = WshShell.Run("Ping -n 1 " & ipaddr, 0, TRUE)
If (return <> 0) Then
  Wscript.Echo "Unable to contact host"
  Wscript.Echo "Make sure it is online and try again"
  Wscript.Quit
End If

' pinged it ok: proceed
' use program ncajax2.exe to communicate
Set objShell = CreateObject("WScript.Shell")
Set objWshScriptExec = objShell.Exec("ncajax2 " & ipaddr)
Set objStdOut = objWshScriptExec.StdOut
Set objStdIn = objWshScriptExec.StdIn

Sendit "FK", "Erasing current pages"

Wscript.Echo("Starting tftp: 21 files")
tftpit "index.html r:index.html", "Sending file 1"
tftpit "config.html", "Sending file 2"
tftpit "tools.html", "Sending file 3"
tftpit "screen.css", "Sending file 4"
tftpit "form.js", "Sending file 5"
tftpit "smstatus.js", "Sending file 6"
tftpit "smconfig.js", "Sending file 7"
tftpit "smtools.js", "Sending file 8"
tftpit "bg_badresponse.png", "Sending file 9"
tftpit "bg_goodresponse.png", "Sending file 10"
tftpit "downButton.png", "Sending file 11"
tftpit "upButton.png", "Sending file 12"
tftpit "logo_ds2.png", "Sending file 13"
tftpit "x_blu.png", "Sending file 14"
tftpit "x_grn.png", "Sending file 15"
tftpit "x_gry.png", "Sending file 16"
tftpit "x_red.png", "Sending file 17"
tftpit "x_yel.png", "Sending file 18"
tftpit "etireset.html", "Sending file 19"
tftpit "ajaxtst1.htm", "Sending file 20"
tftpit "asm1.mib", "Sending MIB file"
Sendit "FS", "Saving to Flash (slow)"
Wscript.Echo "Done"
StopAJAX
Wscript.Quit


Sub Sendit(cmd, msg)
Dim firstone
Dim resp
Wscript.StdOut.Write(msg&"...")
firstone=True
Do While True
  If (firstone) Then
    objStdIn.WriteLine(cmd)
  Else
    objStdIn.WriteLine("F?")
  End If
  firstone=False
  resp = objStdOut.ReadLine
  If Left(resp,1)="!" Then
     Wscript.Echo resp
     StopAJAX
     Wscript.Quit
  End If
  If not resp="?" Then
    Exit Do
  End If
  Wscript.StdOut.Write(".")
  Wscript.Sleep(1000)
Loop
Wscript.Echo resp
End Sub



Sub StopAJAX
objStdIn.WriteLine("#")
End Sub


Sub tftpit(params, msg)
Wscript.StdOut.Write(msg&"...")
Set oExec = WshShell.Exec("tftp -i " & ipaddr & " put " & params)
Do While True
  If (oExec.Status = 0) Then
      Wscript.StdOut.Write "."
      Wscript.Sleep(1000)
  Else
      Exit Do
  End If
Loop
Wscript.StdOut.WriteLine
' check to make sure it took
If oExec.ExitCode <> 0 Then
  StopAJAX
  Wscript.Echo "tftp error: aborting"
  Wscript.Quit
End If
End Sub



